<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<META NAME="Generator" CONTENT="MS Exchange Server version 5.5.2650.12">
<TITLE>RE: more on required packages</TITLE>
</HEAD>
<BODY>

<P><FONT SIZE=2>Great idea.  Here's my plan on the matter...</FONT>
</P>

<P><FONT SIZE=2>Prefix my path with /usr/local/temp/bin</FONT>
<BR><FONT SIZE=2>create $LFS/usr/local/temp</FONT>
<BR><FONT SIZE=2>symlink /usr/local/temp to $LFS/usr/local/temp</FONT>
<BR><FONT SIZE=2>install all the static utilities (except maybe bash) to $LFS/usr/local/temp</FONT>
</P>

<P><FONT SIZE=2>This way, during the installation process, I am using the latest version of the packages WHILE I am building other packages.  This is needed because in some cases, the packages on my system are too old, or don't exist, and so I need them to be available.  </FONT></P>

<P><FONT SIZE=2>Then, once I am done installing everything, I will blow away the temp directory, effectively removing everything I don't need.  And if I didn't install gcc, then I no longer HAVE gcc, and so on.</FONT></P>

<P><FONT SIZE=2>For what it is worth, I would recommend that ALFS do something similar...</FONT>
</P>

<P><FONT SIZE=2>-----Original Message-----</FONT>
<BR><FONT SIZE=2>From: Jesse Tie Ten Quee [<A HREF="mailto:highos@highos.com">mailto:highos@highos.com</A>]</FONT>
<BR><FONT SIZE=2>Sent: Friday, September 01, 2000 8:33 AM</FONT>
<BR><FONT SIZE=2>To: lfs-discuss@linuxfromscratch.org</FONT>
<BR><FONT SIZE=2>Subject: Re: more on required packages</FONT>
</P>
<BR>

<P><FONT SIZE=2>Yo,</FONT>
</P>

<P><FONT SIZE=2>On Fri, Sep 01, 2000 at 09:09:18AM -0700, John Arrowwood wrote:</FONT>
<BR><FONT SIZE=2>> So then these packages are required to be present during the installation</FONT>
<BR><FONT SIZE=2>> process, to make sure that after patching, you can re-build the make files.</FONT>
<BR><FONT SIZE=2>> Okay, makes sense.  Do we know WHICH packages will need this?  Does the book</FONT>
<BR><FONT SIZE=2>> ever refer to running autoconf after patching a package?  </FONT>
</P>

<P><FONT SIZE=2>No, it's done for you.</FONT>
</P>

<P><FONT SIZE=2>Franlky, you can uninstall all Devel packages (except perhaps perl if you need it and m4 if you run sendmail *shudders*)</FONT></P>

<P><FONT SIZE=2>Though, don't take my word for it ;)</FONT>
</P>

<P><FONT SIZE=2>-</FONT>
<BR><FONT SIZE=2>Jesse Tie Ten Quee - highos at highos dot com</FONT>
</P>

</BODY>
</HTML>